local T_TreeInstance ={
	MainNum = 1,
	[0]={
		Type = 0,
		MainName = "STR_CHALLENGE_COLUMN_1",
		SubNum = 2,
		[0]={
			Type=5,
			SubName = "STR_CHALLENGE_COLUMN_SUB2_5",
		},
		[1]={
			Type=1,
			SubName = "STR_CHALLENGE_COLUMN_SUB2_1"
		},
	},
}

local T_TreeInstance_Passion ={
	MainNum = 1,
	[0]={
		Type = 0,
		MainName = "STR_CHALLENGE_COLUMN_1",
		SubNum = 2,
		[0]={
			Type=5,
			SubName = "STR_CHALLENGE_COLUMN_SUB2_5",
		},
		[1]={
			Type=1,
			SubName = "STR_CHALLENGE_COLUMN_SUB2_1"
		},
	},
}

local T_TreeInstance_New = {
	MainNum = 2,
	[0]={
		Type = 0,
		MainName = "STR_CHALLENGE_COLUMN_1",
		SubNum = 1,
		[0]={
			Type=1,
			SubName = "STR_CHALLENGE_COLUMN_SUB2_1"
		},
	},
	[1]={
		Type=2,
		MainName = "STR_CHALLENGE_COLUMN_2", 
	},
}

local T_InstanceEntrance ={
	Normal = 120,
	Passion = 120,
	New = 120,
}

local function GetTreeInstance(Index, Key, Value)
	local f = nil
	if(UserData_IsPassionServer() == true) then
		f=T_TreeInstance_Passion
	elseif (UserData_IsNewServer() == true) then
		f=T_TreeInstance_New
	else
		f=T_TreeInstance
	end 
	
	if(Value == nil) then
		local Temp = f[Index][Key]
		if(Temp ~= nil) then
			return Temp
		end
	else
		local Temp = f[Index][Key][Value]
		if(Temp ~= nil) then
			return Temp
		end
	end

	return 0
end


local function GetEntranceLevel()
	local Level = 0
	if(UserData_IsPassionServer() == true) then
		Level=T_InstanceEntrance.Passion
	elseif (UserData_IsNewServer() == true) then
		Level=T_InstanceEntrance.New
	else
		Level=T_InstanceEntrance.Normal
	end 
	
	return Level
end


local function GetTreeCount()
	if(UserData_IsPassionServer() == true) then
		return T_TreeInstance_Passion.MainNum
	elseif(UserData_IsNewServer() == true)  then
		return T_TreeInstance_New.MainNum
	else
		return T_TreeInstance.MainNum
	end 
end



local ChallengeBoss = {
	GetTreeInstance = GetTreeInstance,
	GetTreeCount = GetTreeCount,
	GetEntranceLevel = GetEntranceLevel,
}

ChallengeBoss_GetTreeInstance = ChallengeBoss.GetTreeInstance
ChallengeBoss_GetTreeCount = ChallengeBoss.GetTreeCount
ChallengeBoss_GetEntranceLevel = ChallengeBoss.GetEntranceLevel

return ChallengeBoss
